/**
 * @Author: Kane Wang <wangkane@qq.com>
 * @Date: 2024-04-29 11:09:50
 * @LastEditors: Kane Wang
 * @LastModified: 2025-05-07 22:01:21
 * @FilePath: src/main/java/com/cpic/xim/web/controllers/newcitizen/IdentifyNewCitizenResponse.java
 * @Description:
 * 
 *               Copyright (c) 2025 by Kane All rights reserved
 */
package com.cpic.xim.web.controllers.newcitizen;

import com.fasterxml.jackson.annotation.JsonProperty;

public class IdentifyNewCitizenResponse
{
    public IdentifyNewCitizenResponse() {}

    public boolean isSuccess()
    {
        return success;
    }

    public void setSuccess( boolean success )
    {
        this.success = success;
    }

    public String getMessage()
    {
        return message;
    }

    public void setMessage( String message )
    {
        this.message = message;
    }

    public String getCitizenType()
    {
        return citizenType;
    }

    public void setCitizenType( String citizenType )
    {
        this.citizenType = citizenType;
    }

    public String getExpireDate()
    {
        return expireDate;
    }

    public void setExpireDate( String expireDate )
    {
        this.expireDate = expireDate;
    }

    public String getScore()
    {
        return score;
    }

    public void setScore( String score )
    {
        this.score = score;
    }

    @JsonProperty("success")
    private boolean success;

    @JsonProperty("message")
    private String message;

    @JsonProperty("citizentype")
    private String citizenType;

    @JsonProperty("expiredate")
    private String expireDate;

    @JsonProperty("score")
    private String score;
}